/* stile normale desktop */
#page-shell {
    display: grid;
    grid-template-columns: 1fr 280px;
}
#context-menu {
    display: block;
    transition: right 0.3s;
}

#site-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 20px;
}

#header-actions {
    display: flex;
    align-items: center;
    gap: 10px;
}

.mobile-only {
    display: none !important;
}

/* breakpoint mobile/tablet */
@media (max-width: 900px) {
    #page-shell {
        grid-template-columns: 1fr;
    }

    #context-menu {
        /*display: none; */
        position: fixed;
        top: 0;
        right: -260px;
        width: 250px;
        height: 100%;
        z-index: 1000;
    }

    #context-menu.open {
        right: 0;
    }

    .desktop-only {
        display: none;
    }

    .mobile-only {
        display: flex !important;
    }
}


